curl --request POST \
--url https://cloudapi.mailercloud.com/v1/lists/search \
--header 'Authorization: <api-key>' \
--header 'Content-Type: <content-type>' \
--data '
{
"limit": 10,
"list_type": 1,
"page": 1,
"search_name": "subscription",
"sort_field": "name",
"sort_order": "asc"
}
'{
"count": 100,
"data": {
"contact_count": 100,
"id": "ws",
"list_status": "Updating",
"list_type": "Normal List",
"name": "Subscription list",
"open_percentage": 50
}
}List Lists
Use this API to return an array of all of your contact lists. You can filter, search and sort list.
POST
/
lists
/
search
curl --request POST \
--url https://cloudapi.mailercloud.com/v1/lists/search \
--header 'Authorization: <api-key>' \
--header 'Content-Type: <content-type>' \
--data '
{
"limit": 10,
"list_type": 1,
"page": 1,
"search_name": "subscription",
"sort_field": "name",
"sort_order": "asc"
}
'{
"count": 100,
"data": {
"contact_count": 100,
"id": "ws",
"list_status": "Updating",
"list_type": "Normal List",
"name": "Subscription list",
"open_percentage": 50
}
}Authorizations
Your Mailercloud API key (plain text, no Bearer prefix). Create keys in Settings → API.
Headers
Request body type
Body
application/json
Maximum number of elements to return.
Maximum: 100 Minimum: 10
Required range:
10 <= x <= 100Your List type .
Available Choices
Normal List: 1
You can retrieve a subset of records starting from the page value you have specified. You can add a limit, which will determine the number of records you can retrieve on a single page.
Starts From: 1
Required range:
x <= 3Filter list by name , giving name in search keyword
Minimum string length:
1Sort list data based on this field
Available sort fields
name,contact_count,open_percentage
Minimum string length:
1Sorting order for sort field
Available sort orders
asc, ASC, desc, DESC
Minimum string length:
1